GNU bug report logs - #52948
28.0.90; NS variant and X11 client are not separated on macOS Monterey, Version 12.1

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Peter Dyballa <Peter_Dyballa@HIDDEN>; Keywords: moreinfo; dated Sun, 2 Jan 2022 11:21:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 52948 <at> debbugs.gnu.org:


Received: (at 52948) by debbugs.gnu.org; 15 Jan 2022 12:23:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 07:23:26 2022
Received: from localhost ([127.0.0.1]:39305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8i5e-0007H0-LN
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 07:23:26 -0500
Received: from outbound.soverin.net ([116.202.126.228]:40785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1n8i5Z-0007Gh-To
 for 52948 <at> debbugs.gnu.org; Sat, 15 Jan 2022 07:23:25 -0500
Received: from smtp.soverin.net (unknown [10.10.3.24])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 7706D261;
 Sat, 15 Jan 2022 12:23:15 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.138]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1642249394; bh=AFc4MWIs7lUdhTTI9r63zoxgEwu2BLf2aaR51FwFmKk=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=goR0MhDeiQj/DSVg0sFb7bcRr2a739TU+gta6wMRIP4I2S8wSeympXS9rcQB2MYyl
 sRv5m7gkhx2/FwjwWmMfOEK9o4YsmkvTxmAHn68S+YfDs3USHgt/KTAqiFRcUAzq/1
 8ehzWPHL00MXflnCydf4sSXSgeCxSxfj6d2uvbySiiQimEPxWelX9u/aCUAdIXr1a/
 8vlLUC5G431ncSIzgCr97HVCTCe/iGB04TjvTY0d7/EUC5J9d1mxG8ojNNJe05WjAG
 0NW+QMIqOeN5DZeGb3DJbUUO0Fc3CdudaMHB9WKRSEz7yGz/25TFHzR9gG4fsnSB9/
 9e91ZLm+CrHgA==
Received: from alan by faroe.holly.idiocy.org with local (Exim 4.95-RC2)
 (envelope-from <alan@HIDDEN>) id 1n8i5S-002Rka-VJ;
 Sat, 15 Jan 2022 12:23:14 +0000
Date: Sat, 15 Jan 2022 12:23:14 +0000
From: Alan Third <alan@HIDDEN>
To: Peter Dyballa <Peter_Dyballa@HIDDEN>
Subject: Re: bug#52948: 28.0.90; NS variant and X11 client are not separated
 on macOS Monterey, Version 12.1
Message-ID: <YeK8sp+CuWxJ7iqz@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Peter Dyballa <Peter_Dyballa@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>, 52948 <at> debbugs.gnu.org
References: <B7C47C2E-A521-4010-BB5F-4D6A95B1786D@HIDDEN>
 <YdGrtjgeN1cWeaYU@HIDDEN>
 <3213B217-ABA7-4EFF-82C5-0C28F5939DF6@HIDDEN>
 <YdG0Ca9DP8fIALag@HIDDEN>
 <1DC228C8-F222-4FD6-8715-D32934C0A422@HIDDEN>
 <YdG5rnXYgV1tTKRP@HIDDEN> <87ilulz76n.fsf@HIDDEN>
 <75FFA3D3-8F52-44AE-BA6A-E73B7939B148@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <75FFA3D3-8F52-44AE-BA6A-E73B7939B148@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52948
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 52948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sat, Jan 15, 2022 at 10:44:56AM +0100, Peter Dyballa wrote:
> > 
> > So is there anything to do here, or should this bug report be closed?
> 
> Yes, it needs some work. The NS variant does not use the dumped
> image inside its application bundle although this image is installed
> there:

I disagree. Since Peter didn't request a bundled install I think it's
plain wrong for Emacs to look for _any_ files in the bundle.

> If Emacs.pdmp in /usr/local tree it is used from there. If it's not
> there Emacs loads a lot of ELisp files before it opens any frame and
> obviously never uses Contents/MacOS/libexec/Emacs.pdmp or
> ./libexec/Emacs.pdmp, relative to the executable.

I feel I should point out that Peter is not requesting that Emacs
looks in the bundle if it fails to *find* emacs.pdmp, he's requesting
that it looks in the bundle if it finds an emacs.pdmp file and that
one fails to load because it's for a different build.

As I've said before, Peter wants to be able to do a UNIX style install
and then replace arbitrary files in the install and still have
everything work.

The obvious solution is for him to either have it installed under two
different prefixes, or just use the bundled install for his NS build
since he apparently wants to run it from the app bundle anyway.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52948; Package emacs. Full text available.

Message received at 52948 <at> debbugs.gnu.org:


Received: (at 52948) by debbugs.gnu.org; 15 Jan 2022 09:45:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 04:45:13 2022
Received: from localhost ([127.0.0.1]:39037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8fcX-0008VM-Ep
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 04:45:13 -0500
Received: from mout.web.de ([212.227.17.12]:35301)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Peter_Dyballa@HIDDEN>) id 1n8fcU-0008Ly-Cy
 for 52948 <at> debbugs.gnu.org; Sat, 15 Jan 2022 04:45:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1642239897;
 bh=r/nzB6TpF3/BFUEQoRfIW7U8ncLOrGSpZW0LL84ZXis=;
 h=X-UI-Sender-Class:Subject:From:In-Reply-To:Date:Cc:References:To;
 b=GdRVkzVbNYckKf5kt5MB/OOVOE03aSh4hOAcB23AOFlDuVrZ4EDiChl1AibUTOi/k
 AjBRaaCdDkZ1Kl8Y1n3Zxn16D+IR+SGSlePnVZZweRjbmzJw65PIElDB7nuByJsb7i
 t6/CFhS0bUQ/rGUKdqqDthKvRWjPX3doGJHCnc0U=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from smtpclient.apple ([176.199.137.124]) by smtp.web.de (mrweb106
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1MQgpA-1mw4B519wk-00Nk84; Sat, 15
 Jan 2022 10:44:57 +0100
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 15.0 \(3693.40.0.1.81\))
Subject: Re: bug#52948: 28.0.90; NS variant and X11 client are not separated
 on macOS Monterey, Version 12.1
From: Peter Dyballa <Peter_Dyballa@HIDDEN>
In-Reply-To: <87ilulz76n.fsf@HIDDEN>
Date: Sat, 15 Jan 2022 10:44:56 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <75FFA3D3-8F52-44AE-BA6A-E73B7939B148@HIDDEN>
References: <B7C47C2E-A521-4010-BB5F-4D6A95B1786D@HIDDEN>
 <YdGrtjgeN1cWeaYU@HIDDEN> <3213B217-ABA7-4EFF-82C5-0C28F5939DF6@HIDDEN>
 <YdG0Ca9DP8fIALag@HIDDEN>
 <1DC228C8-F222-4FD6-8715-D32934C0A422@HIDDEN> <YdG5rnXYgV1tTKRP@HIDDEN>
 <87ilulz76n.fsf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
X-Mailer: Apple Mail (2.3693.40.0.1.81)
X-Provags-ID: V03:K1:6gjD6Fi67zFcyNamIOFiGBY0pMoGZnUzJfMMeEbxrJpByJ4MB4r
 g/44j+GNGYukyISlpAac5/ATqPMRfFwNZDWHExyP+FlNeydIyGeOm8MU5PIB/K9gIaqsrWu
 fncy9mwFrX9roBXORPcnmBdtcuYI8tasqbVNhCT7z7yd2Ifvb9Ko3CSLs9uh52eMdfG6FQv
 wYGUxZRNehFCAeBy+zlLQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Ox2sU6rRiTM=:aDCtODiQKE6SptXYn1fE8x
 c2y+YVQY5/h9ruPbF3yJppZ/3Ea/3pbP9xg9Y3JhL3ucqQn534FnjV4SZqmEMSaDgutfwrCkx
 iaRcmpR0u7M/pNsbJs3C6IFeCHlvtPLeKgGqrG4isOr3U4AG9D9FZ1uYJk2b79FrTwPwpl3lA
 MAWZgHKR6ze4CE3EEnrYky819iGh9L8zpNTGl3Dvv04aLfMp7Wsr5H+miAc0SO93IBFYofoMd
 lZgqtXF0j/dOqxZuFy+BSv2pCRJ7NMJdmD7nFRtbDiFj3ZRcDkI4qiRHCjtJNs42HC/EAR15A
 lHHT0GnXOe12dTmqlFY3TGteyImV2PbgtsNvfLDHxTNdfayhbw2bD2YXnrvVXGvyCtHeAnCWA
 fb+TkshP/YRiqpfLTY04ga0YMTg9lzUDtvL7Vnu1W0eI1E3IVFozaYutU7O7GN9MdMed0QQGj
 OUuQ/8mqTp+QLuW4A3WBIw29sYyiT1M2w76Ttv1P2UzAx/KPwBuOYgzmPyj5ISMkih150q9gE
 ppJNvcIq/Tji+zTQG/HdYI2RPDx56JUB/aYME+5NvntL7jF+EPL2Yz0ukq43HcsmMMs+rA9+w
 iBxJKNqa4cb0SaI4s/qK5wJdi8U8UwWgys2uC5ZwgSq9QUKPmXwB9nDqehKYulUnSdBsQ1xrv
 3Un1AbNW2jHtAl8gmTa+8/eX9i/al4TZ4gvH2sCa13h9dhcccXCvn9HImq/HPRvhJRBbDi+Nx
 7Da2Q+ycemOO/scaTIwbJQ5dQ0mZoJIkpGs0H+Xi46D+QUiBhViYu9jjJYCoBqfvaD1Pn2Oa1
 wD11qqRYNulcnC7Ddc/vwfajAXm4jvVyGUokMvcDa58Tkk5iprqEdZdmLwy4odbDQGeenmkMX
 4LPu9O2m/9KdYK3NSGObrHqNo0vUVimflDcHg8kThl6uv1fsHgCJD9Ppg3i2dHxdoIZqsv8it
 8VagIHFSoFoPz63T4ldVX7RvZktwjlSUmRn8qchgVNfCYvB4rva8lI4SF1lvJ70sNlzxvOANi
 s1TwcfjS30tdhZMRuZwq9weNK+/kajw81a3ovJkYgEGyCdL4myjL/wXOK0AuQM059BCZL/LPG
 JKH0Xw/bZufELs=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52948
Cc: Alan Third <alan@HIDDEN>, 52948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>=20
> So is there anything to do here, or should this bug report be closed?

Yes, it needs some work. The NS variant does not use the dumped image =
inside its application bundle although this image is installed there:

	total 0
	drwxr-xr-x  6 pete  admin  192  2 Jan 14:29 Contents
=09
	./Contents:
	total 48
	-rw-r--r--  1 pete  admin  18094  2 Jan 14:20 Info.plist
	drwxr-xr-x  4 pete  admin    128  2 Jan 14:29 MacOS
	-rw-r--r--  1 pete  admin      8  1 Dez 21:37 PkgInfo
	drwxr-xr-x  6 pete  admin    192  7 Dez 10:15 Resources
=09
	./Contents/MacOS:
	total 13696
	-rwxr-xr-x  1 pete  admin  7011232  2 Jan 14:29 Emacs        <=3D=3D=
 executable
	drwxr-xr-x  3 pete  admin       96  2 Jan 14:29 libexec
=09
	./Contents/MacOS/libexec:
	total 30992
	-rw-r--r--  1 pete  admin 15866216  2 Jan 14:29 Emacs.pdmp   <=3D=3D=
 dumped image ./libexec/Emacs.pdmp
=09
	./Contents/Resources:
	total 576
	-rw-r--r--  1 pete  admin     128  1 Dez 21:37 Credits.html
	-rw-r--r--  1 pete  admin  145987  1 Dez 21:37 Emacs.icns
	drwxr-xr-x  3 pete  admin      96  2 Jan 14:20 English.lproj
	-rw-r--r--  1 pete  admin  142428  1 Dez 21:37 document.icns
=09
	./Contents/Resources/English.lproj:
	total 8
	-rw-r--r--  1 pete  admin  260  2 Jan 14:20 InfoPlist.strings

If Emacs.pdmp in /usr/local tree it is used from there. If it's not =
there Emacs loads a lot of ELisp files before it opens any frame and =
obviously never uses Contents/MacOS/libexec/Emacs.pdmp or =
./libexec/Emacs.pdmp, relative to the executable.

Besides, GNU Emacs 28.0.90 will become after changes version 28.1 and be =
released. Then I would need to install "them", the NS variant and the =
X11 client. I am just testing this.

--
Greetings

  Pete

Think of XML as Lisp for COBOL programmers.
				- Tony-A (some guy on /.)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52948; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52948 <at> debbugs.gnu.org:


Received: (at 52948) by debbugs.gnu.org; 15 Jan 2022 09:20:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 04:20:44 2022
Received: from localhost ([127.0.0.1]:38985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8fEq-0005OO-2o
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 04:20:44 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46840)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n8fEo-0005O8-7e
 for 52948 <at> debbugs.gnu.org; Sat, 15 Jan 2022 04:20:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=mBd7+1Mtl3qE0FJR/faDv8VY8BkwvzANDdVUPVYwCbY=; b=cHGylF8xH5RYzd/DXSFfi9IKhQ
 3vIGLC2PtASjN2iupzuMhJ0iASUywhrSfTGo393Yijacg6G+hKKc7wYXofprBAU5Hi135+pEpG6Bm
 +cw9hkNfVgkThV/h9YWWqx+M3PeCh3bTRjFQ2T/qDWl7xqgpGX24D0mSXZ9QCXdZEWZk=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n8fEf-00032j-3c; Sat, 15 Jan 2022 10:20:36 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#52948: 28.0.90; NS variant and X11 client are not separated
 on macOS Monterey, Version 12.1
References: <B7C47C2E-A521-4010-BB5F-4D6A95B1786D@HIDDEN>
 <YdGrtjgeN1cWeaYU@HIDDEN>
 <3213B217-ABA7-4EFF-82C5-0C28F5939DF6@HIDDEN>
 <YdG0Ca9DP8fIALag@HIDDEN>
 <1DC228C8-F222-4FD6-8715-D32934C0A422@HIDDEN>
 <YdG5rnXYgV1tTKRP@HIDDEN>
X-Now-Playing: Joni Mitchell's _Archives: The Early Years (4)_: "Jeremy
 (Incomplete)"
Date: Sat, 15 Jan 2022 10:20:32 +0100
In-Reply-To: <YdG5rnXYgV1tTKRP@HIDDEN> (Alan Third's message of "Sun, 2
 Jan 2022 14:41:50 +0000")
Message-ID: <87ilulz76n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Alan Third <alan@HIDDEN> writes: > But the emacs
 executable
 is installed in /usr/local/bin or wherever. > The app bundle is there purely
 as a helper for running from the GUI. > I've said this three times now. >
 > If you want two, inc [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52948
Cc: Peter Dyballa <Peter_Dyballa@HIDDEN>, 52948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Alan Third <alan@HIDDEN> writes:

> But the emacs executable is installed in /usr/local/bin or wherever.
> The app bundle is there purely as a helper for running from the GUI.
> I've said this three times now.
>
> If you want two, incompatible, UNIX style installs, you have to give
> them different prefixes. You wouldn't expect to be able to install
> both the PGTK and motif ports in the same place on a GNU/Linux system.

Skimming this bug report, I'm not sure I understand what the problem is,
or whether there's a problem here at all.

Using different prefixes is certainly the way to do it if you want to
install two different Emacs versions, but I'm not very familiar with
Macos stuff.  (And as usual, I don't understand why somebody says "make
install" at all on a development version -- Emacs runs just fine from
the build directories.)

So is there anything to do here, or should this bug report be closed?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52948; Package emacs. Full text available.

Message received at 52948 <at> debbugs.gnu.org:


Received: (at 52948) by debbugs.gnu.org; 2 Jan 2022 16:04:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 02 11:04:04 2022
Received: from localhost ([127.0.0.1]:33518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n43L2-0007ZR-Ff
	for submit <at> debbugs.gnu.org; Sun, 02 Jan 2022 11:04:04 -0500
Received: from mout.web.de ([212.227.17.11]:49529)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Peter_Dyballa@HIDDEN>) id 1n43Kz-0007Yb-Sd
 for 52948 <at> debbugs.gnu.org; Sun, 02 Jan 2022 11:04:03 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1641139428;
 bh=OGU/SE5s35k2lf4Z/42SMnWC8eYSuJiy+rC9Xu+dN9U=;
 h=X-UI-Sender-Class:Subject:From:In-Reply-To:Date:Cc:References:To;
 b=X2QFz6T/aDhpFGyd+7l0K/+26HZ9S4Y5RREwKme0gqcLq1ZD1xgJpjX3ntR98dFr0
 3AJ1oPTuX9MEPEmqOxK16cnuE6tpQQ9G5WBV15rSnm4G//bMMgm3bVALU770HOxDRG
 Tamw9YMjtZTVhJQa+1dY4DxXtuwRU3340OBwVvCc=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from smtpclient.apple ([176.199.137.124]) by smtp.web.de (mrweb105
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1MVJRl-1mwan50dFf-00S8MZ; Sun, 02
 Jan 2022 17:03:48 +0100
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 15.0 \(3693.40.0.1.81\))
Subject: Re: bug#52948: 28.0.90; NS variant and X11 client are not separated
 on macOS Monterey, Version 12.1
From: Peter Dyballa <Peter_Dyballa@HIDDEN>
In-Reply-To: <YdG5rnXYgV1tTKRP@HIDDEN>
Date: Sun, 2 Jan 2022 17:03:47 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <03FF2A3E-8120-4627-8120-0D528BF436A7@HIDDEN>
References: <B7C47C2E-A521-4010-BB5F-4D6A95B1786D@HIDDEN>
 <YdGrtjgeN1cWeaYU@HIDDEN> <3213B217-ABA7-4EFF-82C5-0C28F5939DF6@HIDDEN>
 <YdG0Ca9DP8fIALag@HIDDEN>
 <1DC228C8-F222-4FD6-8715-D32934C0A422@HIDDEN> <YdG5rnXYgV1tTKRP@HIDDEN>
To: Alan Third <alan@HIDDEN>
X-Mailer: Apple Mail (2.3693.40.0.1.81)
X-Provags-ID: V03:K1:kUAJsmdB/Zj0IMgUfet6aHUqqP3pc/Su39SF7j3RFTT/eyFToH7
 E6rPgGEOgeDrHWUle6Ja3oMwN/toaq4OwSXt56rVeTtEOx1xg97iT+aWAf3Dp/+WT1unoXe
 RpsIBMU4oczTEy8T4Un2nl1gcqkkKCgu6h6eRYxIf3DhyNwaRXrhi/DUChv7S+ztlloPM81
 g00CjKj2163Gfrq3QNRyQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:51zRo1oH9Fk=:O6JmIVZD8DFgzuF0k6tsrq
 DDN2DkCs/UJmoQNEJcPva+qLCAgllycco9QjVdOr2mF5jO/0WdNNemdqT7tbYcEEt+fdzHfXM
 2dPteKiJUO/H/mCE86T6rTXRbIO3Eov6qbQl/JX+pEDFRIQJR+F7YbMXMjSBmKc5ihOJd+CLQ
 g73KZjA0ZqbH5I2CaRinPP5cgkydecnD+uE6luDa8rXCbG67MG5vadTWbKq08EdSeb3rZUCOB
 Rfp05F4VrCMimWrm8y+LNlkVph3JKaVGI5YvJISEO5vLPdjrnTif3LDMjP5vzs//rnjw1Lk2V
 pvLV7T99y9OjrvmInwAMSyFlFeB7FR3TsMM/hAA84/IS4W2plcMmUP44fgBwRTukFwlnFKjPM
 UH6DTjH529oZGzYRdlf2uXuu8UE41Rzy9rYlZB00RX156120FU5QYa2NK13Fwwp086BoZx49p
 DFUhFVGTyMHEGyBotZcWMNXbLlCXLTIzMkasnJ8laxFg0MUuIxlaA35CORsjcbA9+FLt/iRPe
 6e2vqHiCzZJ01Y5sIhrlYRhb7+MtLDZWQI7HvYVNhqVfsQKXTYCJcpl7AtCeXyPfSUFjEOOSu
 Rmv6MPwtqfxK1cT4Yh7VlICsd71sRcf9oN+tTV4YGwmwa5XEnxcT5r8Pow1EyNa+2ie4ytPn0
 YHdR5wbuU/Jdhn5JC2EU+mMXyYHYPC3R0orBYwUg+wT9aK8Veu0wObLToNJsJwuUGHiErX2od
 h97ZchyXQg5yBpwXtWL9hXDYwBbXXQgztAJ8c9s33+MS3eN6Cz/pkNd6pewsxAps0mdwH9na0
 ZTScvDJWNYU1/AB/SJpo0nHl5+ukuxkgNgElgOmPAGtjMzud2S2o23/DFzTGWUU7HCdjLxY+m
 /bNphqeD8LyCJzkHHXAO2V5aW+I33rYYkwiF4WHqCrcUOZ/fCmhEnamwskoAmYZpnHzqq/NB2
 sQt8Qa0MrVsR+ulvZ2PRs+Qvx3s84/vbuy0QI9sSQPDEwLm0gBSY8lqpjX182B3O7yEvgAiz5
 t/F+ekHSnxBr2LUI8lNirxKueYS+BErvkTVzfvb3AJs9jCFhG/RTQX+shb+TKQ1L6hFCfbnjS
 RmMzZsPE5jJFCU=
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52948
Cc: 52948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> Am 2.1.2022 um 15:41 schrieb Alan Third <alan@HIDDEN>:
>=20
> But the emacs executable is installed in /usr/local/bin or wherever.
> The app bundle is there purely as a helper for running from the GUI.

First I performed:

	root 258 /\  l /usr/local/bin/emacs*
	lrwxr-xr-x 1 root wheel       13 2022-01-02 14:49 =
/usr/local/bin/emacs -> emacs-28.0.90
	-rwxr-xr-x 1 root wheel 16686568 2018-06-26 21:54 =
/usr/local/bin/emacs-26.1
	-rwxr-xr-x 1 root wheel  6544176 2021-01-30 17:29 =
/usr/local/bin/emacs-27.1
	-rwxr-xr-x 1 root wheel  6544464 2021-01-30 18:37 =
/usr/local/bin/emacs-27.1.91
	-rwxr-xr-x 1 root wheel  7052688 2021-12-26 22:31 =
/usr/local/bin/emacs-27.2
	-rwxr-xr-x 1 root wheel  6962224 2021-12-23 10:44 =
/usr/local/bin/emacs-28.0.50
	-rwxr-xr-x 1 root wheel  6596656 2022-01-02 14:49 =
/usr/local/bin/emacs-28.0.90
	-rwxr-xr-x 1 root wheel    78416 2022-01-02 14:49 =
/usr/local/bin/emacsclient

	root 259 /\  mv -v  /usr/local/bin/emacs-28.0.90  =
/usr/local/bin/emacs-28.0.90-X11-c11
	/usr/local/bin/emacs-28.0.90 -> =
/usr/local/bin/emacs-28.0.90-X11-c11

	root 260 /\  mv -v /usr/local/bin/emacs =
/usr/local/bin/emacs-symlink
	/usr/local/bin/emacs -> /usr/local/bin/emacs-symlink

	root 261 /\  l /usr/local/bin/emacs*
	-rwxr-xr-x 1 root wheel 16686568 2018-06-26 21:54 =
/usr/local/bin/emacs-26.1
	-rwxr-xr-x 1 root wheel  6544176 2021-01-30 17:29 =
/usr/local/bin/emacs-27.1
	-rwxr-xr-x 1 root wheel  6544464 2021-01-30 18:37 =
/usr/local/bin/emacs-27.1.91
	-rwxr-xr-x 1 root wheel  7052688 2021-12-26 22:31 =
/usr/local/bin/emacs-27.2
	-rwxr-xr-x 1 root wheel  6962224 2021-12-23 10:44 =
/usr/local/bin/emacs-28.0.50
	-rwxr-xr-x 1 root wheel  6596656 2022-01-02 14:49 =
/usr/local/bin/emacs-28.0.90-X11-c11
	lrwxr-xr-x 1 root wheel       13 2022-01-02 14:49 =
/usr/local/bin/emacs-symlink -> emacs-28.0.90
	-rwxr-xr-x 1 root wheel    78416 2022-01-02 14:49 =
/usr/local/bin/emacsclient

Then I invoked as mortal user =
'/Applications/AquaEmacs-28.0.90.app/Contents/MacOS/Emacs -Q' and had no =
problems to run shell, calendar, visit some directory, look into a =
tar.xz or a tar.gz file and also quit. In my opinion this proves that =
/usr/local/bin/emacs or /usr/local/bin/emacs-VERSION are not needed by =
the NS variant.

--
Greetings

  Pete

I am concerned for you to enjoy yourselves within the limits of British =
decency.
				=E2=80=93 Ivor Cutler





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52948; Package emacs. Full text available.

Message received at 52948 <at> debbugs.gnu.org:


Received: (at 52948) by debbugs.gnu.org; 2 Jan 2022 15:15:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 02 10:15:16 2022
Received: from localhost ([127.0.0.1]:33438 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n42Zn-00067o-IK
	for submit <at> debbugs.gnu.org; Sun, 02 Jan 2022 10:15:16 -0500
Received: from mout.web.de ([212.227.15.3]:41407)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Peter_Dyballa@HIDDEN>) id 1n42Zl-00067U-9H
 for 52948 <at> debbugs.gnu.org; Sun, 02 Jan 2022 10:15:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1641136499;
 bh=xI7tvBy5uNiaVtDOsHRdTPzbPiTVQYe183HdwxPZBgs=;
 h=X-UI-Sender-Class:Subject:From:In-Reply-To:Date:Cc:References:To;
 b=FQYk7qy1N1OteLq4n2FnrMOlfuZFb2mCUyFGtIECd5+49hyOe1dlGYLaDgHOGTflp
 vBjvqqUNqMwqwI9TL0QfL0jy7R+nRKHwoUUAj8cgc/YIgYiVJK2W0+mJVMuo3nP/r5
 0qwSuf0JPkPL0ftKmWx8RjUrBGogTlfSSVuaElsQ=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from smtpclient.apple ([176.199.137.124]) by smtp.web.de (mrweb005
 [213.165.67.108]) with ESMTPSA (Nemesis) id 1MpTxo-1mcTB11w3Y-00q75o; Sun, 02
 Jan 2022 16:14:59 +0100
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 15.0 \(3693.40.0.1.81\))
Subject: Re: bug#52948: 28.0.90; NS variant and X11 client are not separated
 on macOS Monterey, Version 12.1
From: Peter Dyballa <Peter_Dyballa@HIDDEN>
In-Reply-To: <YdG5rnXYgV1tTKRP@HIDDEN>
Date: Sun, 2 Jan 2022 16:14:58 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <3E21B645-C134-4176-9D62-636256FE2237@HIDDEN>
References: <B7C47C2E-A521-4010-BB5F-4D6A95B1786D@HIDDEN>
 <YdGrtjgeN1cWeaYU@HIDDEN> <3213B217-ABA7-4EFF-82C5-0C28F5939DF6@HIDDEN>
 <YdG0Ca9DP8fIALag@HIDDEN>
 <1DC228C8-F222-4FD6-8715-D32934C0A422@HIDDEN> <YdG5rnXYgV1tTKRP@HIDDEN>
To: Alan Third <alan@HIDDEN>
X-Mailer: Apple Mail (2.3693.40.0.1.81)
X-Provags-ID: V03:K1:9KUdE4ApjQJymv9v4ECQc5UOYX1aVf+EQX4Urlz6RBQ9Io+oFlI
 FH8O/79CPfKDLMrHD2xaw3DN3FfcK4ERFcYYAr07HuRD2Zvf1dk2WmSIhab5tycqV3Dtoz4
 xxOok48X2pqwvFp9PtKDg4k/epNHwd8BqvpiLgAjvVHs9j8NL29SeMO/S8yLjY5nGCpdh89
 q2cR7ij8BAg4bu2ROLjtg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:E0tmfoIgBKQ=:/xqK9e7BNTDtPZuKXPrCEB
 LHwvuyjBQbI69MNcXR/0JQEiUwRZqpdMlFhnbb4mjipL6qa8Rg3k/JCmjD6017SFwQJWHi1UK
 fAPBSCyaUcrv5iUqhhD06kc9Vs5dB5mP8ZTpWMtzPKkQPn6gqLuDMrXviulPZMOAdmc+UH2n8
 lompNI5Vrmopzn21HE9UUKSWqxC3DpzYxXUu2QBzl6eJ1IUWWCrXUDreQaLBiFKhp2hroQCFE
 of6p2W11lRsh/hHmpANY0i5971hOq7+xvPFML6FE/OwUd/gCC43bfnYoTzWTWz6/TahSacnTT
 ygJyD4LqvsdGmT0PSuf3MJ8S1UvC8NqFVhDRi/x+iMCfpbIwHqJDrs4iBbtMRny2UNlW/+CIP
 elLIxkelLlBq+7g/SDJc8qvD8gH2HOzfsHu2l6PKKBKL6DIwr20XIm3hV+qbd8dL7Xp1axMPy
 aWXhJeFzygllqklWLYIwB147qiUlVFJK3af8mjES7uinY2SXsL1oFZcjTLZPoT9ZIGl5GSVtz
 rff/+bWIZ0/WWajHnz75k9aM60nT40kui/BIYtUKx7395olGvBXVb7kIpqTWfjR6pzcFY87hQ
 h05SCZv+0CUSrSqX0Du+GAZ/jLZE15ciVWFtTXvB5NDrBStcFnVdL+s/0ITUbJJ0uyz5GiT6T
 9AsEz3+o/YobhVRIlLnHfSXiUzkWISyc+UDZyJWgmG0M4j59jY81KEs6l8nOhhP0IxdR4Pr7m
 Orc/z44SHJjYUfXfOtswNXGSI9KLg6gGwKQID1z4w5ShrG56ILLoiABakhph5ge6l3x88XsfS
 8kwrql+F13CRvXmHTtAw71Ox/k9Es3AWo32B61VCAX2oJKV5vu/PrqXuUohBYUabBnWC+ZTC/
 6UzmjuxQir5GBJOjGOLefjEIdCoa0ouSegiAygdxj8WBRlc+BYNeuZ6YjN6DekAI0n1283JV6
 4te2ez0k8wqUtNd1b0J8EnZNShtCYnbBENIww2JqtE8Uv/nuhI1d05w5aGJk8AsOWaEUKqNDd
 eDNAtakrOXn09k3KPWR2z5AO0e4X65ZPdp1ZGmy0XfYL1Oy4JfG1wFZ0CD8mR/02cOc4x0F4c
 apQqFhi7JSVbrg=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52948
Cc: 52948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


> Am 2.1.2022 um 15:41 schrieb Alan Third <alan@HIDDEN>:
>=20
> But the emacs executable is installed in /usr/local/bin or wherever.

And never used by the NS (or Mac) variant. It's just there.

> The app bundle is there purely as a helper for running from the GUI.

Make does:

	cp -f ../src/emacs =
/Users/pete/Quellen/Emacs_CVS/emacs-28.0.90/nextstep/Emacs.app/Contents/Ma=
cOS/Emacs=20

So actually a copy of /usr/local/bin/emacs exists inside the application =
bundle and is loaded, and certainly used to execute emacs. Lsof does not =
show that it opens from the /usr/local tree more than the PDMP file. And =
if it would run /usr/local/bin/emacs then it would launch an X client:

Pete 249 /\  otool -L /usr/local/bin/emacs-28.0.90
/usr/local/bin/emacs-28.0.90:
	/opt/local/lib/libtiff.5.dylib (compatibility version 13.0.0, =
current version 13.0.0)
	/opt/local/lib/libjpeg.8.dylib (compatibility version 8.0.0, =
current version 8.2.2)
	/opt/local/lib/libpng16.16.dylib (compatibility version 54.0.0, =
current version 54.0.0)
	/opt/local/lib/libgif.4.dylib (compatibility version 6.0.0, =
current version 6.7.0)
	/opt/local/lib/libXpm.4.dylib (compatibility version 16.0.0, =
current version 16.0.0)
	/opt/local/lib/libXaw3d.8.dylib (compatibility version 9.0.0, =
current version 9.0.0)
	/opt/local/lib/libXmu.6.dylib (compatibility version 9.0.0, =
current version 9.0.0)
	/opt/local/lib/libXt.6.dylib (compatibility version 7.0.0, =
current version 7.0.0)
	/opt/local/lib/libSM.6.dylib (compatibility version 7.0.0, =
current version 7.1.0)
	/opt/local/lib/libICE.6.dylib (compatibility version 10.0.0, =
current version 10.0.0)
	/opt/local/lib/libXext.6.dylib (compatibility version 11.0.0, =
current version 11.0.0)
	/opt/local/lib/libX11.6.dylib (compatibility version 11.0.0, =
current version 11.0.0)
	/opt/local/lib/libX11-xcb.1.dylib (compatibility version 2.0.0, =
current version 2.0.0)
	/opt/local/lib/libxcb.1.dylib (compatibility version 3.0.0, =
current version 3.0.0)
	/opt/local/lib/libXrender.1.dylib (compatibility version 5.0.0, =
current version 5.0.0)
	/opt/local/lib/librsvg-2.2.dylib (compatibility version 51.0.0, =
current version 51.0.0)
	/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current =
version 1311.0.0)
	/opt/local/lib/libgio-2.0.0.dylib (compatibility version =
6201.0.0, current version 6201.6.0)
	/opt/local/lib/libgdk_pixbuf-2.0.0.dylib (compatibility version =
4201.0.0, current version 4201.2.0)
	/opt/local/lib/libgobject-2.0.0.dylib (compatibility version =
6201.0.0, current version 6201.6.0)
	/opt/local/lib/libglib-2.0.0.dylib (compatibility version =
6201.0.0, current version 6201.6.0)
	/opt/local/lib/libintl.8.dylib (compatibility version 11.0.0, =
current version 11.0.0)
	/opt/local/lib/libcairo.2.dylib (compatibility version =
11707.0.0, current version 11707.0.0)
	/opt/local/lib/libXrandr.2.dylib (compatibility version 5.0.0, =
current version 5.0.0)
	/opt/local/lib/libXinerama.1.dylib (compatibility version 2.0.0, =
current version 2.0.0)
	/opt/local/lib/libXfixes.3.dylib (compatibility version 5.0.0, =
current version 5.0.0)
	/opt/local/lib/libxml2.2.dylib (compatibility version 12.0.0, =
current version 12.12.0)
	/opt/local/lib/libncurses.6.dylib (compatibility version 6.0.0, =
current version 6.0.0)
	/opt/local/lib/libfreetype.6.dylib (compatibility version =
25.0.0, current version 25.1.0)
	/opt/local/lib/libfontconfig.1.dylib (compatibility version =
14.0.0, current version 14.0.0)
	/opt/local/lib/libharfbuzz.0.dylib (compatibility version =
20901.0.0, current version 20901.0.0)
	/opt/local/lib/libotf.1.dylib (compatibility version 2.0.0, =
current version 2.0.0)
	/opt/local/lib/libgnutls.30.dylib (compatibility version 59.0.0, =
current version 59.2.0)
	/opt/local/lib/liblcms2.2.dylib (compatibility version 3.0.0, =
current version 3.12.0)
	/opt/local/lib/libz.1.dylib (compatibility version 1.0.0, =
current version 1.2.11)
	/opt/local/lib/libjansson.4.dylib (compatibility version 18.0.0, =
current version 18.0.0)
	/opt/local/lib/libgmp.10.dylib (compatibility version 15.0.0, =
current version 15.1.0)

Emacs inside the app bundle is using:

Pete 250 /\  otool -L =
/Applications/AquaEmacs-28.0.90.app/Contents/MacOS/Emacs=20
/Applications/AquaEmacs-28.0.90.app/Contents/MacOS/Emacs:
	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit =
(compatibility version 45.0.0, current version 2113.20.111)
	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit =
(compatibility version 1.0.0, current version 275.0.0)
	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon =
(compatibility version 2.0.0, current version 165.0.0)
	=
/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface =
(compatibility version 1.0.0, current version 1.0.0)
	=
/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore =
(compatibility version 1.2.0, current version 1.11.0)
	/opt/local/lib/libtiff.5.dylib (compatibility version 13.0.0, =
current version 13.0.0)
	/opt/local/lib/libjpeg.8.dylib (compatibility version 8.0.0, =
current version 8.2.2)
	/opt/local/lib/libpng16.16.dylib (compatibility version 54.0.0, =
current version 54.0.0)
	/opt/local/lib/libgif.4.dylib (compatibility version 6.0.0, =
current version 6.7.0)
	/opt/local/lib/librsvg-2.2.dylib (compatibility version 51.0.0, =
current version 51.0.0)
	/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current =
version 1311.0.0)
	/opt/local/lib/libgio-2.0.0.dylib (compatibility version =
6201.0.0, current version 6201.6.0)
	/opt/local/lib/libgdk_pixbuf-2.0.0.dylib (compatibility version =
4201.0.0, current version 4201.2.0)
	/opt/local/lib/libgobject-2.0.0.dylib (compatibility version =
6201.0.0, current version 6201.6.0)
	/opt/local/lib/libglib-2.0.0.dylib (compatibility version =
6201.0.0, current version 6201.6.0)
	/opt/local/lib/libintl.8.dylib (compatibility version 11.0.0, =
current version 11.0.0)
	/opt/local/lib/libcairo.2.dylib (compatibility version =
11707.0.0, current version 11707.0.0)
	/opt/local/lib/libxml2.2.dylib (compatibility version 12.0.0, =
current version 12.12.0)
	/opt/local/lib/libncurses.6.dylib (compatibility version 6.0.0, =
current version 6.0.0)
	/opt/local/lib/libgnutls.30.dylib (compatibility version 59.0.0, =
current version 59.2.0)
	/opt/local/lib/liblcms2.2.dylib (compatibility version 3.0.0, =
current version 3.12.0)
	/opt/local/lib/libz.1.dylib (compatibility version 1.0.0, =
current version 1.2.11)
	/opt/local/lib/libjansson.4.dylib (compatibility version 18.0.0, =
current version 18.0.0)
	/opt/local/lib/libgmp.10.dylib (compatibility version 15.0.0, =
current version 15.1.0)
	=
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundat=
ion (compatibility version 150.0.0, current version 1856.105.0)
	=
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics =
(compatibility version 64.0.0, current version 1557.3.2)
	=
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices =
(compatibility version 1.0.0, current version 1141.1.0)
	=
/System/Library/Frameworks/CoreText.framework/Versions/A/CoreText =
(compatibility version 1.0.0, current version 1.0.0)
	=
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation =
(compatibility version 300.0.0, current version 1856.105.0)
	/usr/lib/libobjc.A.dylib (compatibility version 1.0.0, current =
version 228.0.0)

After having built and installed the NS variant I can simply 'make =
distclean', configure for X11, 'make' and 'sudo make install' and have =
two working variants of GNU Emacs on my Mac. With dumping it has become =
a bit complicated. One reason is that the NS variant cannot be built =
when configure'd --with-dumping=3Dnone:

	gmake -C ../nextstep all
	gmake[2]: Entering directory =
'/Users/pete/Quellen/Emacs_CVS/emacs-28.0.90/nextstep'
	gmake -C ../src emacs
	gmake[2]: *** No rule to make target '../src/emacs.pdmp', needed =
by =
'/Users/pete/Quellen/Emacs_CVS/emacs-28.0.90/nextstep/Emacs.app/Contents/M=
acOS/libexec/Emacs.pdmp'.  Stop.

--
Greetings

  Pete

The world would be a better place if Larry Wall had been born in =
Iceland, or any other country where the native language actually has =
syntax.
				=E2=80=93 Peter da Silva





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52948; Package emacs. Full text available.

Message received at 52948 <at> debbugs.gnu.org:


Received: (at 52948) by debbugs.gnu.org; 2 Jan 2022 14:42:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 02 09:42:02 2022
Received: from localhost ([127.0.0.1]:60101 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n423d-0004nT-TP
	for submit <at> debbugs.gnu.org; Sun, 02 Jan 2022 09:42:02 -0500
Received: from outbound.soverin.net ([116.202.126.228]:41411)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1n423c-0004n4-3D
 for 52948 <at> debbugs.gnu.org; Sun, 02 Jan 2022 09:42:00 -0500
Received: from smtp.soverin.net (unknown [10.10.3.24])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 44A4585C;
 Sun,  2 Jan 2022 14:41:53 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.138]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1641134512; bh=ZJ8r30pP88Rqp6LLqiNb07QzItJm16x9xkSiZapmvtQ=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=SQJ8UbdXkIGIpK6V4VpDk/iyOrz64M5YaKrtW9GGWB1RZxda9mwKckkQtE9dbaws5
 iM/5RNoe6vkdHXD9MbpNfB0rV9xQUhTDZu+xJMYmOclEh89kHAwf7qUTni1xufFTfn
 52HqETQhCEM/n9RGn60Gv5G1MKix5buDVJEjkzPgYgSg5lFVoJ+28HFiuHqRM2nwK9
 PEzY2iIBe1C6O3F/K3LYXjueoqPTpcZWlZfGKKBT9jRzRuAWnuO0KrsigAFUqbN1tk
 Ue3nEX/hRzRBmtc0vorvc3VfkW1zBc2ecIGe5yDH9Q5uwDdLghmaliYAwUCcQOIC3n
 wbCvtdhfpSvXA==
Received: from alan by faroe.holly.idiocy.org with local (Exim 4.95-RC2)
 (envelope-from <alan@HIDDEN>) id 1n423S-002JCU-VL;
 Sun, 02 Jan 2022 14:41:50 +0000
Date: Sun, 2 Jan 2022 14:41:50 +0000
From: Alan Third <alan@HIDDEN>
To: Peter Dyballa <Peter_Dyballa@HIDDEN>
Subject: Re: bug#52948: 28.0.90; NS variant and X11 client are not separated
 on macOS Monterey, Version 12.1
Message-ID: <YdG5rnXYgV1tTKRP@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Peter Dyballa <Peter_Dyballa@HIDDEN>, 52948 <at> debbugs.gnu.org
References: <B7C47C2E-A521-4010-BB5F-4D6A95B1786D@HIDDEN>
 <YdGrtjgeN1cWeaYU@HIDDEN>
 <3213B217-ABA7-4EFF-82C5-0C28F5939DF6@HIDDEN>
 <YdG0Ca9DP8fIALag@HIDDEN>
 <1DC228C8-F222-4FD6-8715-D32934C0A422@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <1DC228C8-F222-4FD6-8715-D32934C0A422@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52948
Cc: 52948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sun, Jan 02, 2022 at 03:22:56PM +0100, Peter Dyballa wrote:
> 
> 
> > Am 2.1.2022 um 15:17 schrieb Alan Third <alan@HIDDEN>:
> > 
> > How do you propose we find the .pdmp file in the app bundle, which can
> > be put *anywhere*, when you run 'emacs' from the command line?
> 
> It's always relative to Emacs (which is why make copies it there during build) ./libexec/Emacs.pdmp:
> 
> -rwxr-xr-x  1 pete   7011232  2 Jan 14:29 /Applications/AquaEmacs-28.0.90.app/Contents/MacOS/Emacs
> -rw-r--r--  1 pete  15866216  2 Jan 14:29 /Applications/AquaEmacs-28.0.90.app/Contents/MacOS/libexec/Emacs.pdmp

But the emacs executable is installed in /usr/local/bin or wherever.
The app bundle is there purely as a helper for running from the GUI.
I've said this three times now.

If you want two, incompatible, UNIX style installs, you have to give
them different prefixes. You wouldn't expect to be able to install
both the PGTK and motif ports in the same place on a GNU/Linux system.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52948; Package emacs. Full text available.

Message received at 52948 <at> debbugs.gnu.org:


Received: (at 52948) by debbugs.gnu.org; 2 Jan 2022 14:23:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 02 09:23:06 2022
Received: from localhost ([127.0.0.1]:60081 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n41lK-0004I2-Lu
	for submit <at> debbugs.gnu.org; Sun, 02 Jan 2022 09:23:06 -0500
Received: from mout.web.de ([212.227.15.14]:40399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Peter_Dyballa@HIDDEN>) id 1n41lI-0004HJ-66
 for 52948 <at> debbugs.gnu.org; Sun, 02 Jan 2022 09:23:04 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1641133377;
 bh=qPilwzfgoHZEV8dgPUua8X5bCOayBLmR8NidmpvQVX0=;
 h=X-UI-Sender-Class:Subject:From:In-Reply-To:Date:Cc:References:To;
 b=TFXUeKq4N8zglPLr8qJshEKsKoTrqes+LRuXvw4JuIQaA0ynlG5A6/mee6oL944DD
 Ygfo5Gik3ZIdeG+tIM1uU6Wj6dQFzXI4lcohE/84ysyzITMzIXjWPH8aC0dleZrh0H
 J5CQVE/LRuBkS5u+eQU8zFXlRlWVGHxLvPcvqTqc=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from smtpclient.apple ([176.199.137.124]) by smtp.web.de (mrweb005
 [213.165.67.108]) with ESMTPSA (Nemesis) id 1MPaII-1midGN0pQw-00MwAx; Sun, 02
 Jan 2022 15:22:57 +0100
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 15.0 \(3693.40.0.1.81\))
Subject: Re: bug#52948: 28.0.90; NS variant and X11 client are not separated
 on macOS Monterey, Version 12.1
From: Peter Dyballa <Peter_Dyballa@HIDDEN>
In-Reply-To: <YdG0Ca9DP8fIALag@HIDDEN>
Date: Sun, 2 Jan 2022 15:22:56 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <1DC228C8-F222-4FD6-8715-D32934C0A422@HIDDEN>
References: <B7C47C2E-A521-4010-BB5F-4D6A95B1786D@HIDDEN>
 <YdGrtjgeN1cWeaYU@HIDDEN> <3213B217-ABA7-4EFF-82C5-0C28F5939DF6@HIDDEN>
 <YdG0Ca9DP8fIALag@HIDDEN>
To: Alan Third <alan@HIDDEN>
X-Mailer: Apple Mail (2.3693.40.0.1.81)
X-Provags-ID: V03:K1:Irqbkc88Ex0oTizGEuTwMDFdvL/8phpqVlLkKmJ/pNNdsJaUwXd
 OrgJYKo9D5NkXnwOWm8jkgWiQLlKvY5iPIlqK4Lv/6DfD5uSiGz1y3/oxb1ynYy1nfz3CKO
 29ePJQvpWdAKAVJ9fq+G8wb2OkgxCknxxfNaNpM2U4M/8vPwcjgqVFKnb7iZYhCQDGuYG7u
 GMlGsd7O+hgD6jqnOSNOw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Xn71Cm6jK1k=:eYBUVGVLIVfs9Cb1AkpwEb
 XcLV/3+9jMz1lBoWAr+FBYzd1HS2H6ZBfy5n/95eShTegFct4UEKuVPqcUn8phg3VVQpL/7Qf
 QbkVw8dk65M0rh8icTVkpEyvjMuVbfLHpYVh5UdlaalzbWF4jWUX+3ueTlU6SBsaR7LltWuR2
 cdHFu2wHDMsORJgaUfXOGrMPc7fxe2lS6BJcQpdL6MwZc9Wn40vU8G5vRuK165VCe1ZmTroVp
 BIHqCnOoP3IXMe83fVxspTfBlNTyXBJHPX9gTVIHkd6rhJ8icj64U3sb11B0ogaw7L+R0Ear+
 9WR7hlKGDZ2EL4m1SksPE05QKXnpPdGKRfIQcqN1Z4wp7qXLwewblxzBRAhVyEtgG5shWSB8l
 0MWf+uXvnN6YL/Gf64807dlyRysvxCOx1QbBvijxZG1QBRuugqwtvUeB8Z43Mb4fNeX6zWbWL
 U0I/UeMCohoOjc+iET3JQhC3jovEg08e3H3Y3W7WJE+x4ghfwRuowHylu3gP7PasFFhqBgmjZ
 1rccFyFCZRap2LIkY7yn+Bscl7BhHsUH4Hro2DmDHrDWyWqv68ibJ8vYYkPuC/qnXuAFOEVL/
 4n6L5pleek4lRDICx1MnVMIAAhFv8QO1vT8IbRaiQ1iVUDc86ahlGjpQ4q6zTmSfBvYiYJBxp
 q6HpVjdeqRS8wvRvp2a19ckP6xVb09AtD3pEdwHNpbQoBKnWEHM1asJ/4E+rF8uObK9yctKMJ
 AW55QAHelGC1ivOLo1u6TDl3tt+ETwPRcwecaw3dJjPGDoxrMqiZX6DjzM2QYMgI71qOuG1GH
 wMK+BOV1SBPHQT9fCUvqJanPeW0pLlIcd2AV7wRz80MH4LHcl3DnM/bowQ4uB2w94kvwcLOfy
 tWexdHE849q+ZvmQAwM3zHOctPSo1LIC0nAFfvroTNUfiru/eziYtYl9dxAX2TJIxUtbCWTUS
 k5xrCjNewt5Enj2QqMbB9j+CPdhMY34MeUNjNeS9v/0mooJ6466l8sP56D7TyiSuHSfdhFgJH
 pQWK+nrauAqOfma8LuFMKTlhQbIgxy3dHaNi6XuP4peUktalAcQNFkii0INmGhCF1OG19xn5P
 qcZrVhtIBEGz3U=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52948
Cc: 52948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)



> Am 2.1.2022 um 15:17 schrieb Alan Third <alan@HIDDEN>:
>=20
> How do you propose we find the .pdmp file in the app bundle, which can
> be put *anywhere*, when you run 'emacs' from the command line?

It's always relative to Emacs (which is why make copies it there during =
build) ./libexec/Emacs.pdmp:

-rwxr-xr-x  1 pete   7011232  2 Jan 14:29 =
/Applications/AquaEmacs-28.0.90.app/Contents/MacOS/Emacs
-rw-r--r--  1 pete  15866216  2 Jan 14:29 =
/Applications/AquaEmacs-28.0.90.app/Contents/MacOS/libexec/Emacs.pdmp

--
Greetings

  Pete

Mushrooms always grow in damp places, which is why they look like =
umbrellas.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52948; Package emacs. Full text available.

Message received at 52948 <at> debbugs.gnu.org:


Received: (at 52948) by debbugs.gnu.org; 2 Jan 2022 14:17:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 02 09:17:59 2022
Received: from localhost ([127.0.0.1]:60067 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n41gM-00048A-UI
	for submit <at> debbugs.gnu.org; Sun, 02 Jan 2022 09:17:59 -0500
Received: from outbound.soverin.net ([116.202.126.228]:53177)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1n41gJ-00047t-ME
 for 52948 <at> debbugs.gnu.org; Sun, 02 Jan 2022 09:17:56 -0500
Received: from smtp.soverin.net (unknown [10.10.3.24])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 34BEF85C;
 Sun,  2 Jan 2022 14:17:49 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.138]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1641133068; bh=xeerH7Ak5b6TT9OzOBihrNAbvvewQDGkwzcbpmaf9FM=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=JDM3UCBlep9+SG3k4/v1qMZZdkoWhKXEhMAO3kMP4vO0epqGnj/3tNO8LCjoTGtbH
 kJbRkeabji3uxC1iSpFviXy8GNr39shmA2XOHACjRd609c+GV1PKYyDez2HyZvh5Ps
 K+PnfqIbJdX59eECT6h+Iwmw44xOeVtfW4eC9zBE9YfB3jHMSUOMAQ853ogUcxuLty
 T0TJoix4WH4hqqaofMC2RvyXGECGSQ7xqJLob9KiD65cKr3wW5y0Przaiynwo3/NMC
 1aQa2RjgxOCqbf43P1NeslkWnnpF3fjChQEEAzW7e+TMzHKHElv2uiW/OwCmkMajzv
 G7A70ETw1lkaA==
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id 7E0E2202DCF86B; Sun,  2 Jan 2022 14:17:45 +0000 (GMT)
Date: Sun, 2 Jan 2022 14:17:45 +0000
From: Alan Third <alan@HIDDEN>
To: Peter Dyballa <Peter_Dyballa@HIDDEN>
Subject: Re: bug#52948: 28.0.90; NS variant and X11 client are not separated
 on macOS Monterey, Version 12.1
Message-ID: <YdG0Ca9DP8fIALag@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Peter Dyballa <Peter_Dyballa@HIDDEN>, 52948 <at> debbugs.gnu.org
References: <B7C47C2E-A521-4010-BB5F-4D6A95B1786D@HIDDEN>
 <YdGrtjgeN1cWeaYU@HIDDEN>
 <3213B217-ABA7-4EFF-82C5-0C28F5939DF6@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <3213B217-ABA7-4EFF-82C5-0C28F5939DF6@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52948
Cc: 52948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sun, Jan 02, 2022 at 03:03:54PM +0100, Peter Dyballa wrote:
> 
> 
> > Am 2.1.2022 um 14:42 schrieb Alan Third <alan@HIDDEN>:
> > 
> > On Sun, Jan 02, 2022 at 12:20:28PM +0100, Peter Dyballa wrote:
> >> 	 --disable-ns-self-contained
> > 
> >> It built and was just installed. When I now invoke '/Applications/AquaEmacs-28.0.90.app/Contents/MacOS/Emacs -Q' it complains:
> >> 
> >> 	desired fingerprint: 4d354353b8f40c4a104e7d527485c1326771b2eb129780879008256a10c405cf
> >> 	found fingerprint: 5e8639f383b8b6dbf3a84b080fad2ff84d81c23682262d61fc16d63a7177256c
> >> 	emacs: could not load dump file "/usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0/emacs.pdmp": not built for this Emacs executable
> > 
> > You disabled the self-contained install for NS, so it's not installed
> > in the app bundle. I think the basic bundle is still built to allow
> > you to use it to run the installed Emacs from the GUI, but all the
> > files will be installed under /usr/local or wherever.
> > 
> It's that what I want: just one single pile of 100 MB of files.
> 
> Actually my first description is wrong.
> 
> In the meantime I tried to reproduce the effect – and failed. The bug is that I have to invoke 'make install' to produce a working Emacs.app in the nextstep sub-directory. This in turn installs /usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0/emacs.pdmp:
> 
>     During "make":
> ------------------
> 	rm -f bootstrap-emacs.pdmp
> 	Dumping under the name bootstrap-emacs.pdmp
> 	Dumping under the name emacs.pdmp
> 	Adding name emacs-28.0.90.1.pdmp
> 	cp -f emacs.pdmp bootstrap-emacs.pdmp 
> 	cp -f ../src/emacs.pdmp /Users/pete/Quellen/Emacs_CVS/emacs-28.0.90/nextstep/Emacs.app/Contents/MacOS/libexec/Emacs.pdmp
> 
>     During "make install":
> --------------------------
> 	/usr/bin/install -c -m 644 src/emacs.pdmp "/usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0"/emacs.pdmp
> 
> Is the latter actually necessary?

Yes. You have a UNIX style installed emacs that happens to use the NS
term. The app bundle is only provided as a helper for running it from
the GUI.

> Renaming
> /usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0/emacs.pdmp
> lead to Emacs loading a lot of ELisp files. The other copied dump
> file, Emacs.app/Contents/MacOS/libexec/Emacs.pdmp, is not used
> although it exists in /Applications, where I "installed" Emacs.app.

How do you propose we find the .pdmp file in the app bundle, which can
be put *anywhere*, when you run 'emacs' from the command line?

If you want to use the app bundle and expect Emacs to load files from
within the bundle, don't use a UNIX style install.

If you must have two different UNIX style installs of Emacs then
you'll have to use different prefixes or something. Someone who knows
more about the way emacs installs may have a better idea, but this
isn't a bug.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52948; Package emacs. Full text available.

Message received at 52948 <at> debbugs.gnu.org:


Received: (at 52948) by debbugs.gnu.org; 2 Jan 2022 14:04:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 02 09:04:04 2022
Received: from localhost ([127.0.0.1]:60062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n41Su-0003lb-KK
	for submit <at> debbugs.gnu.org; Sun, 02 Jan 2022 09:04:04 -0500
Received: from mout.web.de ([212.227.15.14]:58347)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Peter_Dyballa@HIDDEN>) id 1n41Ss-0003l4-Ly
 for 52948 <at> debbugs.gnu.org; Sun, 02 Jan 2022 09:04:03 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1641132235;
 bh=ntE39YMzMBqeEI4KhMzLfX6Oi4FlJCOzrAuStwnixkI=;
 h=X-UI-Sender-Class:Subject:From:In-Reply-To:Date:Cc:References:To;
 b=o1RXukrfeEW3IIGXNHD4X+VWuoLWvXYTUX2CyDt4Dbc8JyfsB5f7v4CEX2VpsEFca
 We9zogl423YBxeYX/0R41XTVJAYlRVXr8BthIzxAhFKqbY6aEub0lOxjwajTavvbp0
 KfIJwV8dJohHVsrPiSoBfP5segOP0iZNM1DWXChU=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from smtpclient.apple ([176.199.137.124]) by smtp.web.de (mrweb006
 [213.165.67.108]) with ESMTPSA (Nemesis) id 1MY5bV-1mtsZy1Y45-00YHL0; Sun, 02
 Jan 2022 15:03:55 +0100
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 15.0 \(3693.40.0.1.81\))
Subject: Re: bug#52948: 28.0.90; NS variant and X11 client are not separated
 on macOS Monterey, Version 12.1
From: Peter Dyballa <Peter_Dyballa@HIDDEN>
In-Reply-To: <YdGrtjgeN1cWeaYU@HIDDEN>
Date: Sun, 2 Jan 2022 15:03:54 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <3213B217-ABA7-4EFF-82C5-0C28F5939DF6@HIDDEN>
References: <B7C47C2E-A521-4010-BB5F-4D6A95B1786D@HIDDEN>
 <YdGrtjgeN1cWeaYU@HIDDEN>
To: Alan Third <alan@HIDDEN>
X-Mailer: Apple Mail (2.3693.40.0.1.81)
X-Provags-ID: V03:K1:PSSaNNDHpNhTvJ6bEvruBJu2ZYlQD5EFupLmbrPyFFDbxl+BuR9
 sthjPkVjFAqxKCO72p0Sw4tjIvBB8uWyhsaM8o2gVnbii7jd/Teg5s5Az01L7SMRCw6E8ya
 vkA37gLShw+aRDip1woaZj+JZMhqfMblzV8uSiPIHXCa/COWRF3KLp8Lqnxmz5aCiR2ZKCr
 D8RJ/76RFNVyZDvNp/oYQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:vDP/mmqBX2w=:Ls/nBP5HIXA3guiLyDaRP5
 4Jd0HPd0l/V+4NNMQ3NSx6fTEPaiUvbJ+gJbIbWwcSKVoWD3sRVpNK4723lwBQ/E6YpXjnWi9
 jDHXsL4jbjkgFGO4laXSNtYvFYYCb3+OlBmKXV+m2SNf6ERjYBLpXTbR27dT3rQT9ydj6EpSj
 tXC8yutAZnlhBYc+a0yRZ2UR7cpmHeLaPQfUjT/xfJENNGWTdtU3yPZ2w33ebFoTYNhYnpqqM
 xrKocP5wrWXo4kp2VabDr+NYY/ooX4zr9k8LKnMG+iuUeUMg7VwkwSPu9B0ZZwbF+uoYjbemO
 0G1dvefywM9Ga+7iov2vl+PqP/dxWURs2vsRby0JdFQ788ukrKH+TiPgBlZJrx9NpgbNmAmiZ
 h2T/rHlqGIDULY3i65wFFQg3tYjXZmWkgU52NVDsYEGCUipK6NuQ4u5AO5+3Fk8SMoYTzcxzK
 MLy+bPI0lm0TKe09Vs0hYOCjtYzlT1XdQVJP0hAN/EuXtuICRT5EJigESJNV7pvnMHFv627BU
 ObcSGCRI6cB9gGWcqNB5zXndBjdq9x03iikSYtXTlFdt0xnHg8xRcwvsR0WXWkMbheaTCV3Kc
 ULNZRmBo+1Eweejb08BdSWeIHPTV+QNfPfQ249va3YZ7ioLTDK+DwV/xv3SIZ1MlrY4gC4kA4
 WTaWTcYnCU6w3HTzxy8taUlI8WuvUstDxCdyEO94z3vYnWJChb/secIfebx8z/xb6FkKmIpA6
 ZI7bxVv0v9Gu66pJp4olJjKWwtrCR/4YG3k7iFqL4OnGbRIYIUxOQMFJGzbJwuGChnQoty8dv
 rLQjQ9K+Bw26Q4MWc8nvF4vmI1WUdmU2RdNZNOLCc0y1Uko6yJBiY6eWYFls6eI64ZuB/gQVn
 8vlyHcCZN0cvRkUG510c4xLV2d2ImyaDkyFSm7rbKA5gAEJPkhlr4jwzFnPzF21N33Gqs/GMA
 YSrnNBa9gSU3iZarKfX9aLu8PXfOiFA1LHcHsBQdI0U6UpBbQHhD6R2W3igfkSSNrFO22AD5w
 RHIWNT89hp+IPV+1qwDDhRjc4z2ik8/ZlzkqUhDmksFplt3ZwZhRWQ7s7ChPgaVwCvOZA68tq
 HqOuoXZp9KZx6M=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52948
Cc: 52948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)



> Am 2.1.2022 um 14:42 schrieb Alan Third <alan@HIDDEN>:
>=20
> On Sun, Jan 02, 2022 at 12:20:28PM +0100, Peter Dyballa wrote:
>> 	 --disable-ns-self-contained
>=20
>> It built and was just installed. When I now invoke =
'/Applications/AquaEmacs-28.0.90.app/Contents/MacOS/Emacs -Q' it =
complains:
>>=20
>> 	desired fingerprint: =
4d354353b8f40c4a104e7d527485c1326771b2eb129780879008256a10c405cf
>> 	found fingerprint: =
5e8639f383b8b6dbf3a84b080fad2ff84d81c23682262d61fc16d63a7177256c
>> 	emacs: could not load dump file =
"/usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0/emacs.pdmp": =
not built for this Emacs executable
>=20
> You disabled the self-contained install for NS, so it's not installed
> in the app bundle. I think the basic bundle is still built to allow
> you to use it to run the installed Emacs from the GUI, but all the
> files will be installed under /usr/local or wherever.
>=20
It's that what I want: just one single pile of 100 MB of files.

Actually my first description is wrong.

In the meantime I tried to reproduce the effect =E2=80=93 and failed. =
The bug is that I have to invoke 'make install' to produce a working =
Emacs.app in the nextstep sub-directory. This in turn installs =
/usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0/emacs.pdmp:

    During "make":
------------------
	rm -f bootstrap-emacs.pdmp
	Dumping under the name bootstrap-emacs.pdmp
	Dumping under the name emacs.pdmp
	Adding name emacs-28.0.90.1.pdmp
	cp -f emacs.pdmp bootstrap-emacs.pdmp=20
	cp -f ../src/emacs.pdmp =
/Users/pete/Quellen/Emacs_CVS/emacs-28.0.90/nextstep/Emacs.app/Contents/Ma=
cOS/libexec/Emacs.pdmp

    During "make install":
--------------------------
	/usr/bin/install -c -m 644 src/emacs.pdmp =
"/usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0"/emacs.pdmp

Is the latter actually necessary?

Renaming =
/usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0/emacs.pdmp =
lead to Emacs loading a lot of ELisp files. The other copied dump file, =
Emacs.app/Contents/MacOS/libexec/Emacs.pdmp, is not used although it =
exists in /Applications, where I "installed" Emacs.app.

--
Greetings

  Pete

One of the main causes of dust is janitors.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52948; Package emacs. Full text available.

Message received at 52948 <at> debbugs.gnu.org:


Received: (at 52948) by debbugs.gnu.org; 2 Jan 2022 13:42:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 02 08:42:25 2022
Received: from localhost ([127.0.0.1]:60054 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n417x-00038i-HT
	for submit <at> debbugs.gnu.org; Sun, 02 Jan 2022 08:42:25 -0500
Received: from outbound.soverin.net ([116.202.126.228]:53167)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1n417w-00038P-Cw
 for 52948 <at> debbugs.gnu.org; Sun, 02 Jan 2022 08:42:25 -0500
Received: from smtp.soverin.net (unknown [10.10.3.24])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 9BABC274;
 Sun,  2 Jan 2022 13:42:17 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.138]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1641130937; bh=kSxWXgMYMUIwY+clvgfMy2vs/jeKxR9ABFP7rcDwHPw=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=CT2JQceIf2ZrLpb1uCshAtF+/l65rAdEIOHrYpPPqN/WNbxinNGG3sj/XwnmfoOiW
 oux2odw7KeBxV9BAYK93kpDvWnJ/DaR34qhmuREM8GPAnAB4wSVYLYjDR8/TMfnqAw
 WfXTzuRL1+RvuTdA6SaKQ0Cyj8Bhyy1OlNVyXcZkxYi3YK2IhG7mw/JdQluzSB3OyE
 5YXTYqThxieXgZ0emFqYhv92x6zfYh1KJHuu6StXePd1lcoFrtTBmGove2bsUerw9u
 ZZ5gwqCJBfi1INtNKy9VUifR2eyJDin1pcjGjt7luuL9lVxrrT3dR9BJZ2z+93OulE
 PXuF34ReQpa0A==
Received: from alan by faroe.holly.idiocy.org with local (Exim 4.95-RC2)
 (envelope-from <alan@HIDDEN>) id 1n417n-002CCc-0O;
 Sun, 02 Jan 2022 13:42:15 +0000
Date: Sun, 2 Jan 2022 13:42:14 +0000
From: Alan Third <alan@HIDDEN>
To: Peter Dyballa <Peter_Dyballa@HIDDEN>
Subject: Re: bug#52948: 28.0.90; NS variant and X11 client are not separated
 on macOS Monterey, Version 12.1
Message-ID: <YdGrtjgeN1cWeaYU@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Peter Dyballa <Peter_Dyballa@HIDDEN>, 52948 <at> debbugs.gnu.org
References: <B7C47C2E-A521-4010-BB5F-4D6A95B1786D@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <B7C47C2E-A521-4010-BB5F-4D6A95B1786D@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52948
Cc: 52948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sun, Jan 02, 2022 at 12:20:28PM +0100, Peter Dyballa wrote:
> 	 --disable-ns-self-contained

> It built and was just installed. When I now invoke '/Applications/AquaEmacs-28.0.90.app/Contents/MacOS/Emacs -Q' it complains:
> 
> 	desired fingerprint: 4d354353b8f40c4a104e7d527485c1326771b2eb129780879008256a10c405cf
> 	found fingerprint: 5e8639f383b8b6dbf3a84b080fad2ff84d81c23682262d61fc16d63a7177256c
> 	emacs: could not load dump file "/usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0/emacs.pdmp": not built for this Emacs executable

You disabled the self-contained install for NS, so it's not installed
in the app bundle. I think the basic bundle is still built to allow
you to use it to run the installed Emacs from the GUI, but all the
files will be installed under /usr/local or wherever.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52948; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jan 2022 11:20:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 02 06:20:39 2022
Received: from localhost ([127.0.0.1]:59986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n3yul-0005KZ-Jj
	for submit <at> debbugs.gnu.org; Sun, 02 Jan 2022 06:20:39 -0500
Received: from lists.gnu.org ([209.51.188.17]:42790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Peter_Dyballa@HIDDEN>) id 1n3yug-0005KM-MH
 for submit <at> debbugs.gnu.org; Sun, 02 Jan 2022 06:20:38 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39922)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <Peter_Dyballa@HIDDEN>)
 id 1n3yug-0005yt-F2
 for bug-gnu-emacs@HIDDEN; Sun, 02 Jan 2022 06:20:34 -0500
Received: from mout.web.de ([212.227.15.4]:58429)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <Peter_Dyballa@HIDDEN>)
 id 1n3yue-000645-EV
 for bug-gnu-emacs@HIDDEN; Sun, 02 Jan 2022 06:20:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1641122429;
 bh=qjtTLYSEXKz94DBkZ9EMYwKqKckmjSZs5TGdwHmsnFs=;
 h=X-UI-Sender-Class:From:Subject:Date:To;
 b=BZP9RN7a9Zlfc1oGHwhHJEr3fTYof9c7iZ5X8ZyS5I499XRpB5f9/46PoVvAahbwO
 nxm20FSNncKroUbNZVhbLloIDgL7PXssXmJzqYQPRLpQ0NUQVWvBrD2GNqYTGmPR4J
 sKF6AzrShu6MYAmP5XfsM1S4XtML0BY6VEavHnxA=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from smtpclient.apple ([176.199.137.124]) by smtp.web.de (mrweb005
 [213.165.67.108]) with ESMTPSA (Nemesis) id 1M7Nii-1n2tVZ1PBM-0080qj for
 <bug-gnu-emacs@HIDDEN>; Sun, 02 Jan 2022 12:20:29 +0100
From: Peter Dyballa <Peter_Dyballa@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 15.0 \(3693.40.0.1.81\))
Subject: 28.0.90; NS variant and X11 client are not separated on macOS
 Monterey, Version 12.1
Message-Id: <B7C47C2E-A521-4010-BB5F-4D6A95B1786D@HIDDEN>
Date: Sun, 2 Jan 2022 12:20:28 +0100
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3693.40.0.1.81)
X-Provags-ID: V03:K1:ZSfrSRsPc+Ax+Nll8nCWKv0OfbWRKG0/MZGGOh1HqNRNNNTLU4Z
 EXZWnME5KolKnzOOaDwnDWtnR66yaT4u+BjZpvBUCW7vV5dDymYyvry8nMFYIWuKRc3TYVd
 e6EO6l9WHqjng+XkgHs47kIkbpNNTubTzDDa/WxFU7H/J3hMxtMdbpT3fiibMYJuVOmUIiy
 Lhh9JxFCdbt7LEisbZ+BA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:8CRvDgqipVk=:vxFdBI/DWRJNLfXjJpaHPM
 6vvD1xdHatxQN54kiMF4irQ11WJyqFOUCCzk2FaN+HOPlM5RqN18TQC/8f6Srvap+ezb/YgDH
 Ba7+gY7Iv/v159uXr9mtA/dRGaUAEZ1BJ6Hk9yl42krBTlBQa1nhtPQsee/ZmRpsvAGu4JF3X
 COuTfSD6f4TEGxaiRn4EYSxe1THS3zEQ7YA8zjN5wvgGBQiO0hfz4F3Fr5anpqUwcCS7uQ/Y7
 yTFHWHrKD61BVjZek3uEqQc2atKcm5pz1Idxe5pfTG4QgHLRhK5iZ6x+4+sD8cqfinmpxPXV2
 eonyjjjCNHm1R9miYX3LHR0Ca9U+1pYIZ2SxOj+ePhhe1qjiCsDlg13COG7SK8yrToYkaouHf
 7ryABCFb6nK8NLdlevfgZr/Fai2420cUxT2bDsNUvHxgo1CT4LnmXjYu2lJrWYKl9JI6wIOyQ
 IPRVdUhqtVLFgGPmJzXOF1v4ePeMQPEqscwFzMpIyivvj94RpvFouFSGsZJg10Jc3JHXPbZkG
 sN9shVqbuFInuu0Gn0PUMCy5oNact1Z8DG73kLhsMkVd2q8otdFGJE4XxwRCtqpG8Nr/N3hw1
 KdLPjDsRWFDuvLdXdDKHDECZTBfmM3MFu0QHdaW7qe2nVXmrD7ING3fPhbgOYz/rZt6ifXTjv
 THCTnm9xs/H/QihTecsOZ97zlEfm5MXSovy9YDy1Qi8NUcBUNg0Qe429n+NPFxBCE+/5CrgrN
 2DoBJit63tCbovN381/o4IuacLklPdY8gvve3J0kuFW/fRBMi6Kxc8pizt4bL8yGzW2TQjEhd
 Xe4OJ4If7UHU+er0/kFlGNsqK48JHSUdIJzHXLPLh/Ng17rAYPxowVSM4MQR3N2NRCqtN399Z
 JgAxMQSjldSEIZQC3NxEdJSSNGVh2fY82oqxQyaVWuo7LViNflPiTAWkKSX7c/yyjzC/C7h7j
 ZX6vHUeoHZjHr+usvXiGNBG/DH2DAeAjTa8yT4XUAbAB5VXAxOFj0py6cfphc5D0NCfge74YN
 Z3Fqf9PaEmGGhpnc7odrVUr5BvAV2K0KtrpQhYZ9RYp57xb+lfXlEVS65MrhAK/jIc8NmTE6B
 IW/RddT1v2mWfw=
Received-SPF: pass client-ip=212.227.15.4; envelope-from=Peter_Dyballa@HIDDEN;
 helo=mout.web.de
X-Spam_score_int: -8
X-Spam_score: -0.9
X-Spam_bar: /
X-Spam_report: (-0.9 / 5.0 requ) DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=unavailable autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hello!

First I configured the NS variant =C3=A0 la (just a remake with the =
original invocation):

	In GNU Emacs 28.0.90 (build 1, x86_64-apple-darwin21.2.0, NS =
appkit-2113.20 Version 12.1 (Build 21C52))
	 of 2022-01-02 built on Kleines.local
	Windowing system distributor 'Apple', version 10.3.2113
	System Description:  macOS 12.1
=09
	Configured using:
	 'configure --without-libsystemd --without-pop --without-sound
	 --without-gpm --without-dbus --without-selinux =
--without-imagemagick
	 --with-ns --without-x --with-dumping=3Dpdumper
	 --disable-ns-self-contained
	 '--enable-locallisppath=3D/Library/Application
	 Support/Emacs/calendar28:/Library/Application Support/Emacs'
	 --with-file-notification=3Dyes CPPFLAGS=3D-I/opt/local/include =
'CFLAGS=3D-g
	 -H -pipe -fPIC -fno-common -Os -arch x86_64 =
-fomit-frame-pointer
	 -std=3Dc11' 'LDFLAGS=3D-v -arch x86_64 -Wl,-bind_at_load -Wl,-t =
-L
	 /opt/local/lib'
	 =
PKG_CONFIG_PATH=3D/opt/local/libexec/openssl3/lib/pkgconfig:/opt/local/lib=
/pkgconfig:/opt/local/share/pkgconfig:/usr/lib/pkgconfig:/opt/X11/lib/pkgc=
onfig
	 CC=3Dclang CXX=3Dclang++ MAKEINFO=3D/opt/local/bin/makeinfo'

It built and I installed Emacs.app as =
/Applications/AquaEmacs-28.0.90.app (to separate it from the Mac =
variant, available only for GNU Emacs 27.x). Then I configured the X11 =
client =C3=A0 la:

	In GNU Emacs 28.0.90 (build 1, x86_64-apple-darwin21.2.0, X =
toolkit, cairo version 1.17.4, Xaw3d scroll bars)
	 of 2022-01-02 built on Kleines.local
	Windowing system distributor 'The X.Org Foundation', version =
11.0.12011000
	System Description:  macOS 12.1
=09
	Configured using:
	 'configure --without-libsystemd --without-pop --without-sound
	 --without-gpm --without-dbus --without-selinux =
--without-imagemagick
	 --without-ns --with-x --with-dumping=3Dnone =
--disable-ns-self-contained
	 --with-x-toolkit=3Dathena --x-libraries=3D/opt/local/lib
	 --x-includes=3D/opt/local/include
	 '--enable-locallisppath=3D/Library/Application
	 Support/Emacs/calendar28:/Library/Application Support/Emacs'
	 --with-file-notification=3Dyes CPPFLAGS=3D-I/opt/local/include =
'CFLAGS=3D-g
	 -H -pipe -fPIC -fno-common -Os -arch x86_64 =
-fomit-frame-pointer
	 -std=3Dc11' 'LDFLAGS=3D-v -arch x86_64 -Wl,-bind_at_load -Wl,-t =
-L
	 /opt/local/lib'
	 =
PKG_CONFIG_PATH=3D/opt/local/libexec/openssl3/lib/pkgconfig:/opt/local/lib=
/pkgconfig:/opt/local/share/pkgconfig:/usr/lib/pkgconfig:/opt/X11/lib/pkgc=
onfig
	 CC=3Dclang CXX=3Dclang++ MAKEINFO=3D/opt/local/bin/makeinfo'

It built and was just installed. When I now invoke =
'/Applications/AquaEmacs-28.0.90.app/Contents/MacOS/Emacs -Q' it =
complains:

	desired fingerprint: =
4d354353b8f40c4a104e7d527485c1326771b2eb129780879008256a10c405cf
	found fingerprint: =
5e8639f383b8b6dbf3a84b080fad2ff84d81c23682262d61fc16d63a7177256c
	emacs: could not load dump file =
"/usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0/emacs.pdmp": =
not built for this Emacs executable

Some time stamps:

	Pete 240 /\ ls -ltr =
/Applications/AquaEmacs-28.0.90.app/Contents/MacOS/Emacs =
/usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0/emacs.pdmp =
/usr/local/bin/emacs-28.0.90
	-rwxr-xr-x 1 pete admin     7011296 2021-12-20 17:48 =
/Applications/AquaEmacs-28.0.90.app/Contents/MacOS/Emacs
	-rw-r--r-- 1 root _unknown 15866232 2021-12-27 18:11 =
/usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0/emacs.pdmp
	-rwxr-xr-x 1 root wheel     6596656 2021-12-27 19:00 =
/usr/local/bin/emacs-28.0.90

The X client works OK. The file =
/usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0/emacs.pdmp =
obviously was built while building the X client, although neither =
'gmake' nor 'gmake install' show any occurrence of the string "pdmp" in =
their logs. The file emacs.pdmp should be saved inside the application =
bundle when it gets changed by a new build.

--
Greetings

  Pete

"If I can't dance to it, it's not my revolution.=E2=80=9C
				=E2=80=93 A t-shirt designed by Jack =
Frager





Acknowledgement sent to Peter Dyballa <Peter_Dyballa@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#52948; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 15 Jan 2022 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.